de.vc.jfo.rtf

## Class FormFieldDescriptor

- java.lang.Object
- - de.vc.jfo.rtf.FormFieldDescriptor

-     public class FormFieldDescriptor
      extends java.lang.Object

  The form field descriptor provides information about special form field.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TEXT_TYPE_CALCULATION`
    `static int` | `TEXT_TYPE_CURRENT_DATE`
    `static int` | `TEXT_TYPE_CURRENT_TIME`
    `static int` | `TEXT_TYPE_DATE`
    `static int` | `TEXT_TYPE_NUMBER`
    `static int` | `TEXT_TYPE_REGULAR`
    `static int` | `TYPE_CHECK_BOX`
    `static int` | `TYPE_LIST`
    `static int` | `TYPE_TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Measure` | `getCheckBoxSize()`
    `java.lang.String` | `getDefaultEntry()`
    `int` | `getDefaultEntryIndex()`
    `java.lang.String` | `getDefaultText()`
    `java.util.List` | `getEntries()`
    `java.lang.String` | `getHelpText()`
    `int` | `getMaxLength()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getStatusLineText()`
    `int` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_TEXT

          public static final int TYPE_TEXT

      See Also:
        Constant Field Values

    - #### TYPE_CHECK_BOX

          public static final int TYPE_CHECK_BOX

      See Also:
        Constant Field Values

    - #### TYPE_LIST

          public static final int TYPE_LIST

      See Also:
        Constant Field Values

    - #### TEXT_TYPE_REGULAR

          public static final int TEXT_TYPE_REGULAR

      See Also:
        Constant Field Values

    - #### TEXT_TYPE_NUMBER

          public static final int TEXT_TYPE_NUMBER

      See Also:
        Constant Field Values

    - #### TEXT_TYPE_DATE

          public static final int TEXT_TYPE_DATE

      See Also:
        Constant Field Values

    - #### TEXT_TYPE_CURRENT_DATE

          public static final int TEXT_TYPE_CURRENT_DATE

      See Also:
        Constant Field Values

    - #### TEXT_TYPE_CURRENT_TIME

          public static final int TEXT_TYPE_CURRENT_TIME

      See Also:
        Constant Field Values

    - #### TEXT_TYPE_CALCULATION

          public static final int TEXT_TYPE_CALCULATION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getType

          public int getType()

    - #### getStatusLineText

          public java.lang.String getStatusLineText()

    - #### getName

          public java.lang.String getName()

    - #### getMaxLength

          public int getMaxLength()

    - #### getHelpText

          public java.lang.String getHelpText()

    - #### getEntries

          public java.util.List getEntries()

    - #### getDefaultText

          public java.lang.String getDefaultText()

    - #### getDefaultEntryIndex

          public int getDefaultEntryIndex()

    - #### getDefaultEntry

          public java.lang.String getDefaultEntry()

    - #### getCheckBoxSize

          public Measure getCheckBoxSize()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.